return {
  'L3MON4D3/LuaSnip',
  dependencies = {
    'rafamadriz/friendly-snippets',
    config = function()
      require('luasnip.loaders.from_vscode').lazy_load()
      require('luasnip.loaders.from_lua').lazy_load()
    end,
  },
  ft = { 'lua', 'rust', 'html', 'css', 'python' },
  config = function()
    require('luasnip').config.setup {
      update_events = 'TextChanged,TextChangedI',
      history = true,
      enable_autosnippets = true,
      store_selection_keys = '<Tab>',
      delete_check_events = 'TextChanged',
      region_check_events = 'CursorMoved',
      ext_opts = {
        [require('luasnip.util.types').choiceNode] = {
          active = {
            virt_text = { { '<- Current Choice', 'NonText' } },
          },
        },
      },
    }
  end,
}
